clear all

load ydata.mat

regularizer('reset','regularizer','mbHyperElastic');

%% FEM

Mesh = TriMesh3(omega,m);
Mesh_hf = TriMesh3(omega,m/2);

yn_hf = Mesh_hf.xn(:) + Mesh.mfPuNodal(yn - Mesh.xn,m,'PTu');
yn_hf = reshape(yn_hf,[],2);

figure;
triplot(Mesh.tri,yn(:,1),yn(:,2));
hold on;
triplot(Mesh_hf.tri,yn_hf(:,1),yn_hf(:,2),'red');

%% FDM

gn = yn(1:prod(m+1),:); 

xn = getNodalGrid(omega,m); xn = reshape(xn,[],2);
xn_hf = getNodalGrid(omega,m/2); xn_hf = reshape(xn_hf,[],2);

gn_hf = xn_hf(:) + mfPu(gn - xn,omega,m,'PTu');

figure;
plotGrid(gn,omega,m);
hold on;
plotGrid(gn_hf,omega,m/2,'color','red');

